#include <stdlib.h>
#include <stdio.h>
#include <signal.h>
#include <unistd.h>
#include <string.h>

#include "gvars.h"

void *
xalloc(size_t size)
{
 void *r;
 if (!size) return NULL;
 r=malloc(size);
 if (!r)
 {
  fprintf(stderr,"xalloc out of memory. Raising SIGTERM\n");
  raise(SIGTERM);
  pause();
  exit(1); /* This shouldn't be performed. */
 }
 return r;
}

void *
xcalloc(size_t size)
{
 void *r;
 r=xalloc(size);
 bzero(r,size);
 return r;
}

/* New uninitialized block */
bd
new_block(size_t length)
{
 bd a;
 a.ptr=xalloc(length);
 a.number=length;
 return a;
}

/* New initialized block */
bd
new_cblock(size_t length)
{
 bd a;
 a.ptr=xcalloc(length);
 a.number=length;
 return a;
}

