/* Svgalib Web Browser by Clocksoft */
/* (c) 1999 Clocksoft */

#include <stdlib.h>
#include <vga.h>

/* Font name of the font -- should remain still the same */
unsigned char *actual_font_name="iso_8859-2.bit";

/* User required height of the font */
unsigned long required_font_height=24;

/* Pointer to font image -- linear placement, the individual character image
   are placed side by side from left to right as ASCII code increases and the
   resulting image is encoded by simple linear encoding of the image.
*/
unsigned char *font_img=NULL; /* NULL means no font data preloaded. */

/* Parameters of the font_img */
long font_width,font_height;

/* Tab stops for each char code which determine where exactly begins its image
*/
int font_stops[256];

/* For each letter, how wide it is*/
long font_widths[256];

/* File handle for the open page or -1 if nothing is open */
int source=-1; 

/* Name of the file being downloaded. */
unsigned char *filename=NULL;

/* type of the file's contents 
   uses constants WAI_GIF,WAI_TEXT and so on.
*/
int content_type;

/* Used for loading everything except wb0.config. */
unsigned char *path=NULL;

/* Each ASCII code's Unicode representation */
int encoding[256];

/* A linear list of encodings */
/* Terminated by NULL pointer */
struct enc_member *enc_list;

/* The pointer at the member of the list. */
struct enc_member *actual_encoding;

/* Keyboard buffer supplied by keyboard_getstate */
char *keys;

/* Switches on calibration */
int calibrate;

/* Image's gamma */
double image_gamma=-1;
